Debian Bug report logs - #565280
FTBFS: jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*'

version graph

Package: avarice; Maintainer for avarice is Shaun Jackman <sjackman@debian.org>; Source for avarice is src:avarice.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Thu, 14 Jan 2010 14:09:04 UTC

Severity: serious

Tags: patch

Found in version avarice/2.10-2

Fixed in version avarice/2.10-3

Done: Shaun Jackman <sjackman@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#565280; Package avarice. (Thu, 14 Jan 2010 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Shaun Jackman <sjackman@debian.org>. (Thu, 14 Jan 2010 14:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*'
Date: Thu, 14 Jan 2010 15:07:43 +0100
Package: avarice
Version: 2.10-2
Severity: serious
Justification: FTBFS

Hi,

your package FTBFS:
| g++ -DHAVE_CONFIG_H -I.     -g -O2 -MT jtag2usb.o -MD -MP -MF .deps/jtag2usb.Tpo -c -o jtag2usb.o jtag2usb.cc
| jtag2usb.cc: In function 'usb_dev_handle* opendev(const char*, emulator, int&)':
| jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*'
| make[3]: *** [jtag2usb.o] Error 1

Full build logs at the usual place:
  https://buildd.debian.org/status/package.php?suite=unstable&p=avarice

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#565280; Package avarice. (Sat, 23 Jan 2010 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. (Sat, 23 Jan 2010 06:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 565280@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 565280@bugs.debian.org
Subject: Re: FTBFS: jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*'
Date: Sat, 23 Jan 2010 15:21:23 +0900
[Message part 1 (text/plain, inline)]
tags 565280 patch
thanks

I made the patch which revised this problem.
And I checked build and the installation of the package.
But I do not have environment working this.
Sorry.

Best regards,
 Nobuhiro

--
Nobuhiro Iwamatsu
  iwamatsu at {nigauri.org / debian.org}
  GPG ID: 40AD1FA6
[avarice.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 06:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#565280; Package avarice. (Sun, 24 Jan 2010 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shaun Jackman <sjackman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. (Sun, 24 Jan 2010 19:27:02 GMT) Full text and rfc822 format available.

Message #17 received at 565280@bugs.debian.org (full text, mbox):

From: Shaun Jackman <sjackman@gmail.com>
To: Joerg Wunsch <joerg_wunsch@uriah.heep.sax.de>
Cc: 565280@bugs.debian.org
Subject: jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*' [PATCH]
Date: Sun, 24 Jan 2010 11:25:55 -0800
[Message part 1 (text/plain, inline)]
Hi Joerg,

Attached is a patch from Nobuhiro Iwamatsu to fix a compiler error in
usb_dev_handle.

Cheers,
Shaun

---------- Forwarded message ----------
From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date: 2010/1/22
Subject: Bug#565280: FTBFS: jtag2usb.cc:98: error: invalid conversion
from 'const  char*' to 'char*'
To: 565280@bugs.debian.org


tags 565280 patch
thanks

I made the patch which revised this problem.
And I checked build and the installation of the package.
But I do not have environment working this.
Sorry.

Best regards,
 Nobuhiro

--
Nobuhiro Iwamatsu
 iwamatsu at {nigauri.org / debian.org}
 GPG ID: 40AD1FA6
[avarice.diff (text/x-diff, attachment)]

Reply sent to Shaun Jackman <sjackman@debian.org>:
You have taken responsibility. (Sun, 24 Jan 2010 19:36:09 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 24 Jan 2010 19:36:09 GMT) Full text and rfc822 format available.

Message #22 received at 565280-close@bugs.debian.org (full text, mbox):

From: Shaun Jackman <sjackman@debian.org>
To: 565280-close@bugs.debian.org
Subject: Bug#565280: fixed in avarice 2.10-3
Date: Sun, 24 Jan 2010 19:32:08 +0000
Source: avarice
Source-Version: 2.10-3

We believe that the bug you reported is fixed in the latest version of
avarice, which is due to be installed in the Debian FTP archive:

avarice_2.10-3.diff.gz
  to main/a/avarice/avarice_2.10-3.diff.gz
avarice_2.10-3.dsc
  to main/a/avarice/avarice_2.10-3.dsc
avarice_2.10-3_i386.deb
  to main/a/avarice/avarice_2.10-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565280@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shaun Jackman <sjackman@debian.org> (supplier of updated avarice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jan 2010 11:21:12 -0800
Source: avarice
Binary: avarice
Architecture: source i386
Version: 2.10-3
Distribution: unstable
Urgency: medium
Maintainer: Shaun Jackman <sjackman@debian.org>
Changed-By: Shaun Jackman <sjackman@debian.org>
Description: 
 avarice    - use GDB with Atmel's JTAG ICE for the AVR
Closes: 565280
Changes: 
 avarice (2.10-3) unstable; urgency=medium
 .
   * Patch usb_dev_handle to fix a FTBFS. Closes: #565280.
     Thanks to Nobuhiro Iwamatsu.
Checksums-Sha1: 
 3857f53b07f84819546a6415eb56e1aea08eab01 1010 avarice_2.10-3.dsc
 ec8aecf6f32b260ea356113cc9f777bc054cfe5f 2947 avarice_2.10-3.diff.gz
 399acd2457229ed94a1c7079e083e267b2dbac48 423112 avarice_2.10-3_i386.deb
Checksums-Sha256: 
 7e81e928c26f11745f978f3489b23438e7f5e8c8e5ae3db342a7c7bbb694d877 1010 avarice_2.10-3.dsc
 015b94c3e93c2f92a2a16d9e415e25d7b99db57de9c3340efd5f6e7d5b46f23f 2947 avarice_2.10-3.diff.gz
 baedbf0c22427eba1adcf3f2607629aad7a888d7ca71c4234a7bfb9973979fe4 423112 avarice_2.10-3_i386.deb
Files: 
 a509337985007e7404f4541323dd5eb2 1010 electronics optional avarice_2.10-3.dsc
 fcd2f60e2cd0d1de69fbc580592798c6 2947 electronics optional avarice_2.10-3.diff.gz
 a4cede56d19b5406bfeb1ddfb48b8a9e 423112 electronics optional avarice_2.10-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAktcnl4ACgkQvFdYF1IwUUpAzQCeMvftelACm/yRrs49S5x6Emv1
j6sAoJpT6bxmyzRzIZMHLA6uVnja7d7K
=X37M
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#565280; Package avarice. (Sun, 24 Jan 2010 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Wunsch <joerg_wunsch@uriah.heep.sax.de>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. (Sun, 24 Jan 2010 20:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 565280@bugs.debian.org (full text, mbox):

From: Joerg Wunsch <j@uriah.heep.sax.de>
To: Shaun Jackman <sjackman@gmail.com>
Subject: Re: jtag2usb.cc:98: error: invalid conversion from 'const char*' to 'char*' [PATCH]
Date: Sun, 24 Jan 2010 20:31:37 +0100
As Shaun Jackman wrote:

> Attached is a patch from Nobuhiro Iwamatsu to fix a compiler error
> in usb_dev_handle.

This has been fixed in the CVS sources about half a year ago.  Sorry,
just no new release has been taken ever since.

-- 
cheers, J"org               .-.-.   --... ...--   -.. .  DL8DTL

http://www.sax.de/~joerg/                        NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 22 Feb 2010 07:41:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:05:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.